commit: 1455b2dcd37e574cad57df4157f60cedf761b9b4
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 24 10:57:06 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 24 13:18:02 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1455b2dc
dev-python/pyproj: Add python3_6 support
Package-Manager: Portage-2.3.40, Repoman-2.3.9
dev-python/pyproj/pyproj-1.9.5.1-r1.ebuild | 33 ++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/pyproj/pyproj-1.9.5.1-r1.ebuild
b/dev-python/pyproj/pyproj-1.9.5.1-r1.ebuild
new file mode 100644
index 00000000000..e7e486903c9
--- /dev/null
+++ b/dev-python/pyproj/pyproj-1.9.5.1-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python interface to PROJ.4 library"
+HOMEPAGE="https://github.com/jswhit/pyproj"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ append-cflags -fno-strict-aliasing
+}
+
+python_test() {
+ "${EPYTHON}" unittest/test.py || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}